#ifndef FXSYSTEM_H
#define FXSYSTEM_H

class FXSystem
{
public:	
	FXSystem(int id, int type) {m_fRemove = false;m_iId=id;m_iType=type;}
	/**
	 * Draws the fx
	 */
	virtual void draw()=0;
	
	/**
	 * Updates the physics for all particles in the system
	 * @param timeDiff time difference since last draw
	 */	
	virtual void think(float time)=0;	
	

	int m_iId;
	int m_iType;
	int m_fRemove;
};
#endif